function han = shottag(hax,shot,varargin);
%function hl = shottag(hax,shot{,machine});
% adds shot number tag on top-right corner of axis hax

machine = 'TCV';
if nargin>2
    machine = varargin{1};
end

axpos = get(hax,'position');
% right hand corner
rhc = [axpos(1)+axpos(3), axpos(2)+axpos(4)];

han = annotation('textbox',[rhc-[0.1 0.0] [0.1 0.02]]);
set(han,'string',[machine,'#',num2str(shot)],...
    'color','black','verticalalignment','bot','edgecolor','none','horizontalalignment','right');
